Page MenuHomePhabricator

action=protect throws JS errors in IE8
Closed, DeclinedPublic

Description

resources/src/mediawiki.legacy/protect.js has lots of (function).bind, which isn't implemented in IE8. Either rewrite it to use only ES3, or add the ES5 shim as dependency. By the way, why is this script still in mediawiki.legacy?

Event Timeline

Schnark created this task.Sep 28 2015, 8:38 AM
Schnark raised the priority of this task from to Needs Triage.
Schnark updated the task description. (Show Details)
Schnark added a subscriber: Schnark.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2015, 8:38 AM

By the way, why is this script still in mediawiki.legacy?

Seems still needs rewrite: T35871: Port mediawiki.legacy.protect to modern JavaScript

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 21 2015, 12:44 PM

JavaScript support for IE8 will be dropped in January: T118303

Aklapper triaged this task as Lowest priority.Dec 30 2015, 12:47 PM
Schnark closed this task as Declined.Jan 7 2016, 9:48 AM
Schnark claimed this task.

JavaScript support for IE8 will be dropped in January: T118303